Name:           faugus-launcher
Version:        1.0
Release:        60%{?dist}
Summary:        A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton

License:        MIT
URL:            https://github.com/Faugus/faugus-launcher
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3, python3-gobject, umu-launcher, p7zip, p7zip-plugins, git

%description
A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton.

%prep
%autosetup

%build

%install
install -Dm755 %{_builddir}/%{name}-%{version}/faugus-launcher.py %{buildroot}/%{_bindir}/faugus-launcher
install -Dm755 %{_builddir}/%{name}-%{version}/faugus-run.py %{buildroot}/%{_bindir}/faugus-run
install -Dm644 %{_builddir}/%{name}-%{version}/faugus-launcher.desktop %{buildroot}/%{_datadir}/applications/faugus-launcher.desktop
install -Dm644 %{_builddir}/%{name}-%{version}/faugus-launcher.png %{buildroot}/%{_datadir}/icons/faugus-launcher.png

%files
%{_bindir}/faugus-launcher
%{_bindir}/faugus-run
%{_datadir}/applications/faugus-launcher.desktop
%{_datadir}/icons/faugus-launcher.png

%changelog
* Tue Sep 10 2024 Faugus - 1.0-60
- Added support to Protonfixes and other Runners.
